Bug 72753 - Installation disk doesn't boot with P4 on i845E board
Installation disk doesn't boot with P4 on i845E board
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-27 08:23 EDT by Jens Wiesecke
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Wiesecke 2002-08-27 08:23:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
After creating an installation floppy with boot.img the systems stops booting
after "uncompressing linux ... ok booting the kernel". I can boot the machine
with kernls up to 2.4.19-pre6 if I pass a mem=512M parameter at boot time.
Kernels from 2.4.19-pre7 onwards don't boot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. creating an installation disk (from RH 7.3 or beta "NULL")
2. booting machine

Actual Results:  system hangs completely after showing "uncompressing linux ...
ok booting the kernel"

Expected Results:  system boots; starting installation

Additional info:

Pentium 4 (1.6 GHz Northwood)
i845E chipset (Chaintech board)
512 MByte DDR RAM
Comment 1 Jens Wiesecke 2002-09-06 02:21:04 EDT
it seems that this problem is BIOS related. memtest86 is reporting only 640kByte
of memory via the e820 procedure. Adding "mem=exactmap mem=640k@0 mem=511M@1M"
as boot parameter solves the problem - other problems like initialising ehci-usb
controler and ide come up
Comment 2 Bugzilla owner 2004-09-30 11:39:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.